import axios from '@/utils/request'
import request from "@/utils/request";


export function filterPrein(query) {
  return axios({
    url: "/udiwms/inv/prein/filter",
    method: "get",
    params: query
  });
}

export function filterDetail(query) {
  return axios({
    url: "/udiwms/inv/prein/detail",
    method: "get",
    params: query
  });
}

export function deleterPrein(data) {
  return request({
    url: "/udiwms/inv/prein/delete",
    method: "post",
    data: data
  });
}

export function getInvPreInProduct(params) {
  return axios({
    url: "/spms/inv/pre/in/product/filter",
    method: "get",
    params: params
  });
}

export function getInvPreInProductDetail(params) {
  return axios({
    url: "/spms/inv/pre/in/product/filterDetail",
    method: "get",
    params: params
  });
}

export function deleteInvPreInProduct(data) {
  return axios({
    url: "/spms/inv/pre/in/product/delete",
    method: "post",
    data: data
  });
}


